Subject: Re: [RFC - draft] List of proposed future changes that are backward incompatible

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Feb 2009 15:36:19 -0800

Johannes Schindelin <[email-masked]> writes:

> Hi,
>
> On Sun, 15 Feb 2009, [email-masked] wrote:
>
>> On Sun, 15 Feb 2009, Junio C Hamano wrote:
>> 
>> > Thanks.
>> >
>> > * git-push to update the checked out branch will be refused by default
>> >
>> >  Make "git push" into a repository to update the branch that is checked
>> >  out fail by default.
>> >
>> >  http://thread.gmane.org/gmane.comp.version-control.git/107758/focus=108007
>> 
>> If I understand this one, it will cause grief for quite a few people.
>> 
>> I have a public repository that I push to and then have a trigger that checks
>> out the current version, compiles it, publishes the compiled version, sends an
>> announcement, etc
>
> So you have to set a config variable.  Big deal.
>
> Compared to that, the thousands of new Git users will no longer be bitten 
> by the "do not push to a non-bare repository" issue without a useful error 
> message.
>
> Please, please, publicize that if there is somebody who is doing the same 
> as you (which I deem a dangerous workflow; I certainly do not use it 
> myself) that they will have to adjust their receive.denyCurrentBranch 
> variable.

Yuck.  I wasn't expecting a discussion itself here.  This was a request
for help and comment for a future message that will ask to start the
discussion.

No need to *stop* discussing, but please retitle the thread so that we can
later see which ones are discussion of a particular topic, and which ones
are proposal for addition of new items.